# SourcePath: rng-tools/20190619dev 
Summary: random number generator daemon
Name: sony-target-dev-rng-tools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-rng-tools
Version: 5
Release: 14020001
Source: rng-tools-%{version}.tar.gz
License: GPL2
URL: https://git.kernel.org/pub/scm/utils/kernel/rng-tools/rng-tools.git/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
It monitors a hardware random number generator, and supplies entropy
from that to the system kernel's /dev/random machinery.

# rng-tools

%package -n %{pkgname}
Summary: random number generator daemon
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
It monitors a hardware random number generator, and supplies entropy
from that to the system kernel's /dev/random machinery.


%prep
%setup -n rng-tools-%{version}
./autogen.sh

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/*

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rngd
%{sony_target_dir}%{sony_target_dev_bin_dir}/rngtest

%changelog
* Thu Aug 29 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.
